<?php

namespace App\Http\Controllers;

use App\Models\ConsultaInscricaoModel;
use Illuminate\Http\Request;
use App\Models\ApiModel;

class ConsultaInscricaoController {

    private $model;

    public function __construct(ConsultaInscricaoModel $inscricao, Request $request) {
        $this->model = $inscricao;
        $this->request = $request;
    }

    public function index() {
        return view('ConsultarInscricaoView');
    }

    public function consultarInscricao() {
        $inscricao = $_POST['inscricao'];
        $dados = ApiModel::consultarInscricao($inscricao);

        return view('ConsultarInscricaoView',
                ['dados' => $dados ?? 'Inscrição não encontrada']);
    }

}
;